## org.apache.mahout.common.parameters
Interface Parametered

All Known Subinterfaces:
  Cluster, DistanceMeasure, Parameter<T>

All Known Implementing Classes:
  AbstractCluster, AbstractParameter, Canopy, ChebyshevDistanceMeasure, ClassParameter, CosineDistanceMeasure, DistanceMeasureCluster, DoubleParameter, EuclideanDistanceMeasure, Kluster, MahalanobisDistanceMeasure, ManhattanDistanceMeasure, MinkowskiDistanceMeasure, PathParameter, SoftCluster, SquaredEuclideanDistanceMeasure, TanimotoDistanceMeasure, WeightedDistanceMeasure, WeightedEuclideanDistanceMeasure, WeightedManhattanDistanceMeasure

    public interface Parametered

Meta information and accessors for configuring a job.

Nested Class Summary
`static class` `Parametered.ParameteredGeneralizations` "multiple inheritance"

Field Summary
`static org.slf4j.Logger` `log`

Method Summary
`void` `configure(org.apache.hadoop.conf.Configuration config)`
`void` `createParameters(String prefix, org.apache.hadoop.conf.Configuration jobConf)` EXPERT: consumers should never have to call this method.
`Collection<Parameter<?>>` `getParameters()`

Field Detail

### log

    static final org.slf4j.Logger log

Method Detail

### getParameters

    Collection<Parameter<?>> getParameters()

### createParameters

    void createParameters(String prefix,
                          org.apache.hadoop.conf.Configuration jobConf)

  EXPERT: consumers should never have to call this method. It would be friendly visible to `Parametered.ParameteredGeneralizations` if java supported it. Calling this method should create a new list of parameters and is called

  Parameters:
    `prefix` - ends with a dot if not empty.
    `jobConf` - configuration used for retrieving values
  See Also:
    `invoking method`, `invoking method`

### configure

    void configure(org.apache.hadoop.conf.Configuration config)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.